View Issue Details

IDProjectCategoryView StatusLast Update
13185Bug reports[All Projects] Otherpublic2018-02-06 12:03
ReportercdorinAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.0.x 
Target VersionFixed in Version3.2.x 
Summary13185: Rendering issue when adding new questions (Preview)
DescriptionSee the steps to reproduce below
Steps To ReproduceAdd a new question (any type).

Click on preview question -> nothing is displayed
Click on preview question group -> nothing is displayed
Click on preview survey -> the question it is displayed.

After previewing the survey at least once, the question can be visualised bia the preview question and preview question groups buttons too.
TagsNo tags attached.
Complete LimeSurvey version number (& build)LS 3.0.3
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionirrelevant
Operating System (Server)irrelevant
Webserver software & versionirrelevant
PHP Versionirrelevant

Relationships

has duplicate 13194 closedmarkusfluer Bad question type shown when preview 
has duplicate 13229 closedmarkusfluer Question text changes not visible in perviews 

Activities

kllam

kllam

2018-01-17 04:37

reporter   ~45850

Same here, for my own solution, i move out the line 107 in file application/helpers/SurveyRuntimeHelper.php
> $this->initMove(); // main methods to init session, LEM, moves, errors, etc
before
> if (!$this->previewgrp && !$this->previewquestion) {
...
}
LouisGac

LouisGac

2018-01-17 10:19

manager   ~45851

kllam: good job!

Feel free to submit a Pull Request:
https://github.com/LimeSurvey/LimeSurvey/blob/master/CONTRIBUTING.md
TonisOrmisson

TonisOrmisson

2018-01-22 11:28

developer   ~45947

Same here on 3.0.5
c_schmitz

c_schmitz

2018-01-25 09:26

administrator   ~46063

The solutions is not correct though. The EM object needs to be updated right after saving, not before preview.
markusfluer

markusfluer

2018-01-25 16:19

manager   ~46095

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26238
markusfluer

markusfluer

2018-01-31 14:33

manager   ~46183

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26282
markusfluer

markusfluer

2018-02-02 14:44

manager   ~46205

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26306

Related Changesets

LimeSurvey: master a7388ab2

2018-01-25 15:09:58

markusfluer

Details Diff
Fixed issue 13185: Rendering issue when adding new questions (Preview)
mod - application/controllers/admin/database.php Diff File

LimeSurvey: master 0afbe28d

2018-01-31 14:33:17

markusfluer

Details Diff
Fixed issue 13185: Rendering issue when adding new questions (Preview)
mod - application/controllers/admin/database.php Diff File

LimeSurvey: master 646b42e0

2018-02-02 14:44:04

markusfluer

Details Diff
Fixed issue 13185: Rendering issue when adding new questions (Preview)
mod - application/controllers/admin/database.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_core_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-01-16 14:01 cdorin New Issue
2018-01-16 14:01 cdorin Status new => assigned
2018-01-16 14:01 cdorin Assigned To => LouisGac
2018-01-16 14:52 LouisGac Assigned To LouisGac => markusfluer
2018-01-16 17:33 cdorin Assigned To markusfluer => LouisGac
2018-01-16 17:34 cdorin Assigned To LouisGac => markusfluer
2018-01-17 04:37 kllam Note Added: 45850
2018-01-17 10:19 LouisGac Note Added: 45851
2018-01-19 08:30 DenisChenu Relationship added has duplicate 13194
2018-01-19 08:33 DenisChenu Summary Rendering issue when adding new questions => Rendering issue when adding new questions (Preview)
2018-01-22 11:28 TonisOrmisson Note Added: 45947
2018-01-25 08:02 DenisChenu Relationship added has duplicate 13229
2018-01-25 09:26 c_schmitz Note Added: 46063
2018-01-25 16:19 markusfluer Changeset attached => LimeSurvey master a7388ab2
2018-01-25 16:19 markusfluer Note Added: 46095
2018-01-25 16:19 markusfluer Resolution open => fixed
2018-01-30 14:30 olle Status assigned => closed
2018-01-30 14:30 olle Fixed in Version => 3.1.x
2018-01-31 14:33 markusfluer Changeset attached => LimeSurvey master 0afbe28d
2018-01-31 14:33 markusfluer Note Added: 46183
2018-01-31 14:33 markusfluer Status closed => resolved
2018-02-02 14:17 markusfluer Status resolved => assigned
2018-02-02 14:44 markusfluer Status assigned => resolved
2018-02-02 14:44 markusfluer Changeset attached => LimeSurvey master 646b42e0
2018-02-02 14:44 markusfluer Note Added: 46205
2018-02-06 12:03 olle Status resolved => closed
2018-02-06 12:03 olle Fixed in Version 3.1.x => 3.2.x